当前位置:首页 > Win10咨询 » 正文

Win10更新恐慌:旧版VMware Workstation Pro应用程序损坏

2019-10-09  分类: Win10咨询  参与: 人  点这评论

  Win10更新恐慌:旧版VMware Workstation Pro应用程序损坏

自周末以来,Win10用户一直抱怨VMware Workstation在累积的Windows 10 Update阻止启动后不再运行。

 

仅旧版本的VMware Workstation会受到影响,但是即使是愿意为升级付费的用户也可能会遇到其他兼容性问题。

 

罪魁祸首似乎是KB4517211,它将Win10升级到内部版本18362.387。尽管知识库中未提及,但此更新将条目添加到Windows兼容性数据库中,结果是尝试运行VMware Workstation 14或更低版本会显示消息“ VMware Workstation Pro无法在Windows上运行”。

 

在Microsoft网站上的一个线程中,一名受影响的用户抱怨说,升级其100个VMware Workstation许可证将花费11,500欧元。

 

不过,还有其他因素。尝试运行网络软件GNS3的用户发现,升级后,该软件不再起作用。另外,较新版本的VMware在某些较旧的处理器上不起作用,因此并不总是可以进行升级。

 

Windows在名为sysmain.sdb的Shim数据库中维护此类兼容性信息。这是应用程序兼容性框架的一部分,该框架能够即时修补应用程序并通知用户兼容性问题。一些绝望的用户(不仅在VMware中如此)试图用较旧的版本替换此文件,以使受阻止的应用程序运行。

 

这不是一个合理的策略,因为它是系统组件,对其进行修补可能会对其他应用程序或系统稳定性产生不可预测的影响。另外,放宽对sysmain.sdb的权限可能会使它成为安全漏洞。

 

就是说,一些这样做的用户随后报告说VMware 14可以正常工作,使他们对Microsoft为什么选择阻止它感到困惑。

 

另一个解决方案是阻止更新,但是将来的更新似乎会导致问题再次出现。阻止更新也不是一个好的长期策略,因为它使Windows 10容易受到安全问题的影响。

 

许多旧应用程序可以在Win10上很好地运行,并且一般来说兼容性是可以的。不过,像虚拟机管理程序这样的低级应用程序更有可能遇到问题,这使得这种类型的问题可以理解。需要一种更好的机制来提前标记问题,以便管理员有机会进行准备。

 

 


相关阅读:

适用于Insiders的Win10 19H2即将发布,其他版本即将推出

PhotoFilmStrip是Win10的免费幻灯片制作工具

Microsoft确认Win10 Preview Build 18999关机问题

如何在Win10中堆叠或级联您的应用程序窗口

由于Win10更新,2019年第三季度PC出货量增长

Windows 10:KB4517211导致系统损坏

如何在Win10中堆叠或级联您的应用程序窗口

如何在Win10中使用视频编辑器应用

如何在Win10上轻松设置OneDrive

Win10:文件资源管理器中的命令提示符

版权申明:本文出自

转载请保留出处和本文地址:http://www.win10.today/zixun/12578.html

  • 评论(4)
  • 赞助本站

今日Win10
◎欢迎参与讨论,评论稍后显示,垃圾评论一律删除!